# This file is autogenerated by edgy.project code generator.
# All changes will be overwritten.

from setuptools import setup, find_packages

tolines = lambda c: list(filter(None, map(lambda s: s.strip(), c.split('\n'))))

def read(filename, flt=None):
    with open(filename) as f:
        content = f.read().strip()
        return flt(content) if callable(flt) else content

version = read('version.txt')

setup(
    name = 'django_includes',
    description = ('Include django views as a subparts of other django views, using either HTTP '
 '(with esi or hinclude) or direct render.'),
    license = 'Apache License, Version 2.0',
    install_requires = ['django >=1.9',
 'edgy.event >=0.1,<0.2',
 'jinja2 >=2.8,<3.0',
 'six',
 'requests >=2,<3',
 'CacheControl >=0.11,<0.12',
 'PyJWT >=1.4,<1.5'],
    version = version,
    long_description = read('README.rst'),
    classifiers = read('classifiers.txt', tolines),
    packages = find_packages(exclude=['ez_setup', 'example', 'test']),
    include_package_data = True,
    extras_require = {'dev': ['coverage >=4.0,<4.2',
         'nose >=1.3,<1.4',
         'pylint >=1.4,<1.5',
         'pytest >=2.8,<2.9',
         'pytest-cov >=2.2,<2.3',
         'mock >=1.3,<1.4',
         'sphinx',
         'sphinx_rtd_theme']},
    url = 'https://github.com/hartym/django-includes',
    download_url = 'https://github.com/hartym/django-includes/archive/{version}.tar.gz'.format(version=version),
)
